summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Fridrich von Stauffenberg2012-04-30 02:49:30 +0200
committer Erik Hanson2012-04-30 07:40:06 +0200
commit9309363a128d94e5abec18ef2d2f8ba16dc31061 (patch)
treeff0a70b050e13fc9ab4689f0b878c419a094f84a
parent3cbec68d90131efd165ca300a38cbe366b915b2a (diff)
downloadslackbuilds-9309363a128d94e5abec18ef2d2f8ba16dc31061.tar.gz
development/ne: Added (Nice Editor)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--development/ne/README6
-rw-r--r--development/ne/ne.SlackBuild77
-rw-r--r--development/ne/ne.info10
-rw-r--r--development/ne/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/development/ne/README b/development/ne/README
new file mode 100644
index 0000000000..d0188a7b90
--- /dev/null
+++ b/development/ne/README
@@ -0,0 +1,6 @@
+ne is a free (GPL'd) text editor based on the POSIX standard that
+runs on almost any UN*X machine. ne is easy to use for the beginner,
+but powerful and fully configurable for the wizard, and most sparing
+in its resource usage. If you have the resources and the patience to
+use emacs or the right mental twist to use vi then probably ne is
+not for you.
diff --git a/development/ne/ne.SlackBuild b/development/ne/ne.SlackBuild
new file mode 100644
index 0000000000..8560e8406e
--- /dev/null
+++ b/development/ne/ne.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/bash
+
+# Slackware build script for ne
+
+# Copyright 2012 Fridrich von Stauffenberg <cancellor2@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ne
+VERSION=${VERSION:-2.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+sed -i "/^PREFIX/s/usr\/local/usr/;
+ s@share/doc/$PRGNAM@doc/$PRGNAM-$VERSION@g;
+ s@share/man@man@g;
+ s@share/info@info@g" makefile
+
+make
+make DESTDIR=$PKG install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/ne/ne.info b/development/ne/ne.info
new file mode 100644
index 0000000000..86375a2e2b
--- /dev/null
+++ b/development/ne/ne.info
@@ -0,0 +1,10 @@
+PRGNAM="ne"
+VERSION="2.4"
+HOMEPAGE="http://ne.dsi.unimi.it"
+DOWNLOAD="http://ne.dsi.unimi.it/ne-2.4.tar.gz"
+MD5SUM="b1ad4aca35637b98a091cc57235a8469"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Fridrich von Stauffenberg"
+EMAIL="cancellor2@gmail.com"
+APPROVED="dsomero"
diff --git a/development/ne/slack-desc b/development/ne/slack-desc
new file mode 100644
index 0000000000..3c84d87fc2
--- /dev/null
+++ b/development/ne/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ne: ne (Nice Editor)
+ne:
+ne: ne is a free (GPL'd) text editor based on the POSIX standard that
+ne: runs on almost any UN*X machine. ne is easy to use for the beginner,
+ne: but powerful and fully configurable for the wizard, and most sparing
+ne: in its resource usage. If you have the resources and the patience to
+ne: use emacs or the right mental twist to use vi then probably ne is
+ne: not for you.
+ne:
+ne: Homepage: http://ne.dsi.unimi.it
+ne: